# Copyright (c) 2000-2010, JPackage Project
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the
#    distribution.
# 3. Neither the name of the JPackage Project nor the names of its
#    contributors may be used to endorse or promote products derived
#    from this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#

%define section   free

Name:           groboutils
Version:        5
Release:	1%{?dist}
Epoch:          0
Summary:        Grobo Utils Testing
Group:          Development/Libraries/Java
License:        MIT
URL:            http://groboutils.sourceforge.net
Source0:        http://prdownloads.sourceforge.net/groboutils/GroboUtils-5-src.tar.gz
Source1:        http://sourceforge.net/projects/groboutils/files/Utils/5/GroboUtils-5-doc.zip
Patch0:         groboutils-build.patch
Patch1:         groboutils-make.patch
Patch2:         groboutils-jdkchecker.patch
Patch3:         groboutils-javac.patch
Patch4:         groboutils-testfail.patch
Patch5:         groboutils-util-classes-build.patch
Patch6:         groboutils-easymock.patch
Patch7:         groboutils-util-io-build.patch
Patch8:         groboutils-coverage.patch
BuildRequires:  jpackage-utils >= 0:1.7.5
BuildRequires:  java-devel >= 0:1.6.0
BuildRequires:  ant >= 0:1.7
BuildRequires:  ant-apache-bcel
BuildRequires:  ant-nodeps
BuildRequires:  ant-junit
BuildRequires:  easymock2
BuildRequires:  junit
BuildRequires:  bcel
BuildRequires:  log4j
BuildRequires:  xalan-j2
BuildRequires:  xerces-j2
BuildRequires:  xml-commons-jaxp-1.3-apis
Requires:  java >= 0:1.6.0
Requires:  bcel
Requires:  log4j
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root

%description
GroboUtils aims to expand the testing possibilities of Java.
It contains many sub-projects which experiment with different
aspects of testing through Java.
The popular tools included with GroboUtils include
multi-threaded tests, hierarchial unit tests, and a code
coverage tool. 

%package        javadoc
Summary:        Javadoc for %{name}
Group:          Development/Documentation

%description    javadoc
%{summary}.

%prep 
%setup -q -c
%patch0 -b .sav0
%patch1 -b .sav1
%patch2 -b .sav2
%patch3 -b .sav3
%patch4 -b .sav4
%patch5 -b .sav5
%patch6 -b .sav6
%patch7 -b .sav7
%patch8 -b .sav8
ln -s $(build-classpath bcel) _shared/3rdparty/bcel/5.1/bcel-5.1.jar
ln -s $(build-classpath junit) _shared/3rdparty/junit/3.8.1/junit.jar
ln -s $(build-classpath xalan-j2) _shared/3rdparty/xalan/2.5.1/xalan.jar
ln -s $(build-classpath xalan-j2-serializer) _shared/3rdparty/xalan/2.5.1/serializer.jar
ln -s $(build-classpath xerces-j2) _shared/3rdparty/xerces/2.4.0/xercesImpl.jar
ln -s $(build-classpath xml-commons-jaxp-1.3-apis) _shared/3rdparty/xerces/2.4.0/xml-apis.jar
ln -s $(build-classpath easymock2) _shared/3rdparty/easymock/0.8/easymock.jar
ln -s $(build-classpath log4j) _shared/3rdparty/log4j/1.2.8/log4j-1.2.8.jar
unzip -q %{SOURCE1}

%build
sh make.sh

%install
rm -rf %{buildroot}

# jars
install -d -m 755 %{buildroot}%{_javadir}/%{name}

install -m 644 codecoverage/GroboCodeCoverage-1.1.0-ant.jar %{buildroot}%{_javadir}/%{name}/codecoverage-ant-%{version}.jar
install -m 644 codecoverage/GroboCodeCoverage-1.1.0-core.jar %{buildroot}%{_javadir}/%{name}/codecoverage-core-%{version}.jar
install -m 644 codecoverage/GroboCodeCoverage-1.1.0-runtime.jar %{buildroot}%{_javadir}/%{name}/codecoverage-runtime-%{version}.jar
install -m 644 pmti/GroboPMTI-1.0.0alpha3-core.jar %{buildroot}%{_javadir}/%{name}/pmti-core-%{version}.jar
install -m 644 testing-autodoc/GroboTestingAutodoc-1.0.0alpha2-core.jar %{buildroot}%{_javadir}/%{name}/testing-autodoc-core-%{version}.jar
install -m 644 testing-junit/GroboTestingJUnit-1.2.1-core.jar %{buildroot}%{_javadir}/%{name}/testing-junit-core-%{version}.jar
install -m 644 testing-mbtf/GroboTestingMBTF-1.0.0alpha2-core.jar %{buildroot}%{_javadir}/%{name}/testing-mbtf-core-%{version}.jar
install -m 644 testing-tp/GroboTestingTP-1.0.0alpha2-core.jar %{buildroot}%{_javadir}/%{name}/testing-tp-core-%{version}.jar
install -m 644 uicapture/GroboUICapture-1.0.0alpha2-core.jar %{buildroot}%{_javadir}/%{name}/uicapture-core-%{version}.jar
install -m 644 util-classes/GroboUtilClasses-1.0.0-core.jar %{buildroot}%{_javadir}/%{name}/util-classes-core-%{version}.jar
install -m 644 util-datastruct/GroboUtilDatastruct-1.0.0alpha3-core.jar %{buildroot}%{_javadir}/%{name}/util-datastruct-core-%{version}.jar
install -m 644 util-io/GroboUtilIO-1.0.0alpha2-core.jar %{buildroot}%{_javadir}/%{name}/util-io-core-%{version}.jar
install -m 644 util-thread/GroboUtilThread-1.0.0alpha2-core.jar %{buildroot}%{_javadir}/%{name}/util-thread-core-%{version}.jar
install -m 644 util-xml/GroboUtilXML-1.1.0-core.jar %{buildroot}%{_javadir}/%{name}/util-xml-core-%{version}.jar

(cd %{buildroot}%{_javadir}/%{name} && for jar in *-%{version}*; do \
ln -s ${jar} ${jar/-%{version}/}; done)

# javadoc
install -dm 755 %{buildroot}%{_javadocdir}/%{name}-%{version}
cp -pr api/* %{buildroot}%{_javadocdir}/%{name}-%{version}
ln -s %{name}-%{version} %{buildroot}%{_javadocdir}/%{name}

%clean
rm -rf %{buildroot}

%files
%defattr(0644,root,root,0755)
%dir %{_javadir}/%{name}
%{_javadir}/%{name}/*.jar

%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/%{name}-%{version}
%{_javadocdir}/%{name}

%changelog
* Thu Oct 14 2010 Ralph Apel <r.apel@r-apel.de> 5-1
- first release

